Plugin development
==================

Plugins form the heart of Errbot. From the ground up, it is designed to be extended entirely through plugins.
In this guide we will explain the basics of writing simple plugins, which we then follow up on further
with sets of recipes on a range of topics describing how to handle more advanced use-cases.


.. toctree::
  :maxdepth: 2
  :numbered:

  intro
  development_environment
  basics
  botcommands
  messaging
  presence
  mentions
  persistence
  configuration
  streams
  dependencies
  dynaplugs
  scheduling
  webhooks
  testing
  logging
  exceptions
  plugin_compatibility_settings
  backend_specifics
